Bug 850754 - [ovirt-engine-backend] - Logout - Doesnt terminate open connections upon logout (UserSessionTimeOutInterval)
[ovirt-engine-backend] - Logout - Doesnt terminate open connections upon logo...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Oved Ourfali
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-22 06:56 EDT by David Botzer
Modified: 2016-02-10 14:22 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-23 06:42:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Eng-log (143.02 KB, application/x-gzip)
2012-08-22 06:56 EDT, David Botzer
no flags Details

  None (edit)
Description David Botzer 2012-08-22 06:56:28 EDT
Created attachment 606194 [details]
Eng-log

Description of problem:
Webadmin manual logout doesnt logs out from Reports Portal (that was opened via webadmin)

Version-Release number of selected component (if applicable):
3.1/si14

How reproducible:
always

Steps to Reproduce:
1) Install rhevm+reports
2) Open Reports Portal via webadmin
There are two options when I open Reports Portal via Webadmin:
A) UserSessionTimeOutInterval=1 (minutes)
B) UserSessionTimeOutInterval=30 (Minutes)

When (B) and I logout manually from webadmin, Reports portal is still open
NOT Terminated connections.
When (A) and I logout manually from webadmin, Reports portal disconnects almost immediately (Sometimes in the middle of loading a report)   

Actual results:
Reports portal is still open even if I logout when 
UserSessionTimeOutInterval=30

Expected results:
Reports should be logout regardless of the value in UserSessionTimeOutInterval

Additional info:

Note You need to log in before you can comment on or make changes to this bug.